<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy Gradient</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_gradient.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="class_gradient-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy Gradient</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_gradient_8hpp_source.html">Gradient.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla Gradient</div>
<div class="dyncontent">
<div class="center"><img src="class_gradient__inherit__graph.png" border="0" usemap="#a_gradient_inherit__map" alt="Inheritance graph"/></div>
<map name="a_gradient_inherit__map" id="a_gradient_inherit__map">
<area shape="rect" title=" " alt="" coords="29,79,99,104"/>
<area shape="rect" title=" " alt="" coords="5,5,123,31"/>
<area shape="poly" title=" " alt="" coords="67,44,67,79,61,79,61,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla Gradient:</div>
<div class="dyncontent">
<div class="center"><img src="class_gradient__coll__graph.png" border="0" usemap="#a_gradient_coll__map" alt="Collaboration graph"/></div>
<map name="a_gradient_coll__map" id="a_gradient_coll__map">
<area shape="rect" title=" " alt="" coords="29,79,99,104"/>
<area shape="rect" title=" " alt="" coords="5,5,123,31"/>
<area shape="poly" title=" " alt="" coords="67,44,67,79,61,79,61,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:adefc9d359417f35bfb200657a52b5049"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_gradient.html#adefc9d359417f35bfb200657a52b5049">Gradient</a> ()</td></tr>
<tr class="separator:adefc9d359417f35bfb200657a52b5049"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock">
<p class="definition">Definicja w linii <a class="el" href="_gradient_8hpp_source.html#l00006">6</a> pliku <a class="el" href="_gradient_8hpp_source.html">Gradient.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="adefc9d359417f35bfb200657a52b5049" name="adefc9d359417f35bfb200657a52b5049"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adefc9d359417f35bfb200657a52b5049">&#9670;&#160;</a></span>Gradient()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Gradient::Gradient </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_gradient_8cpp_source.html#l00003">3</a> pliku <a class="el" href="_gradient_8cpp_source.html">Gradient.cpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="_gradient_8hpp_source.html">Gradient.hpp</a></li>
<li><a class="el" href="_gradient_8cpp_source.html">Gradient.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_gradient.html">Gradient</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
